WP42UnsupportedMultiByteFunctionGroup Class Reference

`#include <WP42UnsupportedMultiByteFunctionGroup.h>`

Inheritance diagram for WP42UnsupportedMultiByteFunctionGroup:

## Public Member Functions

| WP42UnsupportedMultiByteFunctionGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP42Listener *) override
Public Member Functions inherited from WP42MultiByteFunctionGroup
| WP42MultiByteFunctionGroup (unsigned char group)
| ~WP42MultiByteFunctionGroup () override
Public Member Functions inherited from WP42Part
virtual | ~WP42Part ()

## Additional Inherited Members

Static Public Member Functions inherited from WP42MultiByteFunctionGroup
static WP42MultiByteFunctionGroup * | constructMultiByteFunctionGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
Static Public Member Functions inherited from WP42Part
static WP42Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)
Protected Member Functions inherited from WP42MultiByteFunctionGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getGroup () const

## Constructor & Destructor Documentation

## WP42UnsupportedMultiByteFunctionGroup()

WP42UnsupportedMultiByteFunctionGroup::WP42UnsupportedMultiByteFunctionGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group )

## Member Function Documentation

## _readContents()

void WP42UnsupportedMultiByteFunctionGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override virtual

Implements WP42MultiByteFunctionGroup.

## parse()

void WP42UnsupportedMultiByteFunctionGroup::parse | ( | WP42Listener * |  | ) |

inline override virtual

Implements WP42Part.

The documentation for this class was generated from the following files:

- WP42UnsupportedMultiByteFunctionGroup.h
- WP42UnsupportedMultiByteFunctionGroup.cpp